Altimax\Apidae\Core\Entity\SitraOpenEdit:
  type: entity
  table: sitra_open_edit
  uniqueConstraints:
    objet_openEditId_idx:
      columns: [ "openEdit_id", "objet_id" ]
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    openEditId:
      type: string
      nullable: false
      length: 30
      column: openEdit_id
  manyToOne:
    objet:
      targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
      cascade: {  }
      inversedBy: openEdit
      joinColumns:
        objet_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
  lifecycleCallbacks: {  }
